Comment 3 for bug 744990

Jay R. Wren (evarlast) wrote :

$ do-release-upgrade -d
Checking for a new ubuntu release
/usr/lib/python2.6/dist-packages/apt/progress/old.py:134: DeprecationWarning: apt.progress.FetchProgress is deprecated.
  FetchProgress.__init__(self)
/usr/lib/python2.6/dist-packages/UpdateManager/Core/DistUpgradeFetcherCore.py:202: DeprecationWarning: apt_pkg.GetAcquire() is deprecated. Please see apt_pkg.Acquire() for the replacement.
  fetcher = apt_pkg.GetAcquire(self._progress)
/usr/lib/python2.6/dist-packages/UpdateManager/Core/DistUpgradeFetcherCore.py:205: DeprecationWarning: apt_pkg.GetPkgAcqFile() is deprecated. Please see apt_pkg.AcquireFile() for the replacement
  af = apt_pkg.GetPkgAcqFile(fetcher,uri, descr=_("Upgrade tool signature"))
/usr/lib/python2.6/dist-packages/UpdateManager/Core/DistUpgradeFetcherCore.py:208: DeprecationWarning: apt_pkg.GetPkgAcqFile() is deprecated. Please see apt_pkg.AcquireFile() for the replacement
  af = apt_pkg.GetPkgAcqFile(fetcher,self.uri, descr=_("Upgrade tool"))
/usr/lib/python2.6/dist-packages/UpdateManager/Core/DistUpgradeFetcherCore.py:209: DeprecationWarning: Attribute 'Run' of the 'apt_pkg.Acquire' object is deprecated, use 'run' instead.
  if fetcher.Run() != fetcher.ResultContinue:
Done Upgrade tool signature
Done Upgrade tool
Done downloading
extracting 'natty.tar.gz'
authenticate 'natty.tar.gz' against 'natty.tar.gz.gpg'
[screen is terminating]

I just wanted to document the full errors.

I enabled proposed and this is fixed.